Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.function
Class NormalDistributionFunction2D

    java.lang.Object
      org.jfree.data.function.NormalDistributionFunction2D

All Implemented Interfaces:
  Function2D

    public class NormalDistributionFunction2D

extends java.lang.Object
implements Function2D

A normal distribution function.

Constructor Summary
`NormalDistributionFunction2D(double mean, double std)` Constructs a new normal distribution function.

Method Summary
`double` | `getMean()` Returns the mean for the function.
`double` | `getStandardDeviation()` Returns the standard deviation for the function.
`double` | `getValue(double x)` Returns the function value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalDistributionFunction2D

    public NormalDistributionFunction2D(double mean,
                                        double std)

  Constructs a new normal distribution function.

  Parameters:
    `mean` - the mean.
    `std` - the standard deviation.

Method Detail

### getMean

    public double getMean()

  Returns the mean for the function.

  Returns:
    The mean.

### getStandardDeviation

    public double getStandardDeviation()

  Returns the standard deviation for the function.

  Returns:
    The standard deviation.

### getValue

    public double getValue(double x)

  Returns the function value.

  Specified by:
    `getValue` in interface `Function2D`
  Parameters:
    `x` - the x-value.
  Returns:
    The value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD